Subject: Re: bug#66922: 29.1; No redisplay of buffer, even after using `force-window-update'

From: Eli Zaretskii <[email-masked]>
Date: Fri, 03 Nov 2023 20:50:49 +0200

> From: dalanicolai <[email-masked]>
> Date: Fri, 3 Nov 2023 19:07:47 +0100
> 
> I was trying to debug my 'image roll' package, that provides a 'virtual
> scroll' for displaying documents (i.e. books), when I encountered the
> following 'bug'. To reproduce it from emacs -Q, just evaluate the
> following code and press `C-c e`; note that relevant debugging output
> will be printed to the terminal:

The problem only happens in "emacs -nw", not on a GUI frame.  And I
wonder why you consider this a bug.  I think external-debugging-output
is documented to print to stderr, so the "mess-up" is expected.  I'd
say "don't do that".